POST /replicate/v1/models/minimax/video-01/predictions
Method: POSTEndpoint: /replicate/v1/models/minimax/video-01/predictions
https://replicate.com/minimax/video-01?input=http
Request Parameters
Header Parameters
text
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Body Parameters application/json
text
input
object
Required
prompt
string
Required
go_fast
boolean
Optional
megapixels
string
Optional
num_outputs
integer
Optional
aspect_ratio
string
Defaults to 1:1.
Optional
output_format
string
Optional
output_quality
integer
Optional
num_inference_steps
integer
Optional
Example
{
"input"
:
{
"prompt"
:
"a woman is walking through a busy Tokyo street at night, she is wearing dark sunglasses"
,
"prompt_optimizer"
:
true
}
}Example Request
Shell
bash
curl --location --request POST '/replicate/v1/models/minimax/video-01/predictions' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"input": {
"prompt": "a woman is walking through a busy Tokyo street at night, she is wearing dark sunglasses",
"prompt_optimizer": true
}
}'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{}